Package org.gradle.tooling.events.problems

# Interface AdditionalData

All Known Subinterfaces:
  `CustomAdditionalData`

@Incubating @NullMarked public interface AdditionalData
Additional data attached to the problem.

There are no subtypes defined for this interface yet. Clients should expect some defined in future versions of Gradle.

The information returned by `#getAsMap` is considered dynamic information and subject to change between Gradle versions.

For an example to provide `CustomAdditionalData`, see here.

Since:
  8.6
See Also:
  - `CustomAdditionalData`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getAsMap()`
  Returns additional data as a map.

- ## Method Details

  - ### getAsMap

    Map<String,Object> getAsMap()
    Returns additional data as a map.
    Since:
      8.6